@monkeyjunglejuice opened this Issue on December 27th 2021

When trying to update, this error message appears:
"Downloading the latest Matomo version over secure HTTPS connection did not succeed, because of the following error:
curl_exec: SSL certificate problem: certificate has expired. Hostname requested was: builds.matomo.org"

There's only the chance to update via unencrypted HTTP.

Expected Behavior

screenshot

Automatic update via HTTPS should work.

Current Behavior

Error message appears, automatic update via HTTPS not possible

Possible Solution

If the error message really points out the actual problem, then update the certificates of builds.matomo.org (but they seem valid).

Steps to Reproduce (for Bugs)

  1. https://matomoinstallation.domain/index.php?module=CoreUpdater&action=newVersionAvailable
  2. Click button "UPDATE AUTOMATICALLY"
  3. Update error

Your Environment

  • Matomo Version: 4.4.1
  • Webserver: NGINX
  • PHP Version: 8.0 with OPCache
  • Server Operating System: Debian
  • Additionally installed plugins: None
  • Browser: Firefox 95.0.1
  • Operating System: GNU/Linux
@justinvelluppillai commented on January 5th 2022 Contributor

Thanks for the issue @monkeyjunglejuice - I think this was resolved in Matomo 4.5. I will close this for now. Please refer to #18089 for more info.

This Issue was closed on January 5th 2022
Powered by GitHub Issue Mirror